Jump to content
ShaddamIV

EIAS 9.1 Demo does not install on Mac OS Sierra 10.12.1

Recommended Posts

"EIAS3D OS X Dongle Installer.mpkg" will fail to install and tell me that it is not compatible with my os version.
I click the continue anyway and it will fail to install.
Then Animator does not start and I don't remember the message.

Partial solution : (Animator works fine but without Camera)

I use the right click on the "EIAS3D OS X Dongle Installer.mpkg" and Show Package Content.
I navigate inside the folders and install both "superpro32.pkg" and "sentinel.pkg" one after the other.

Then when trying to start Animator i get the error : Cannot allocate needed 3D Icon...

So the final step is to use the "Show Package Content" on Animator and navigate to
Animator/Contents/MacOS/ and open the "Animator" from there.
Animator is now working but rendering does not.

When I try to render, Camera will try to start but macOS tells me it is from an unidentified dev.

So I go in Settings/Security&Privacy/General there is a message :
Camera was blocked from opening... I clicked [Open Anyway]
Now Camera is opening but there is no window.
Strange since I can open camera now from Finder and it will show a window.

I tried to start everything from the command line with the sudo command sudo ./Animator without success.


Anyway did everything I could... as a future potential buyer/user.

Share this post


Link to post
Share on other sites

Ola Shaddam!

ita a new OSX security change, several apps are suffering the same problem, the solution:

1) restore the "everywhere" option in the security system.

unlock the pad lock, change tô AppleStore and change back to "Everywhere"

http://osxdaily.com/2016/09/27/allow-apps-from-anywhere-macos-gatekeeper/

2) after that download and EIAS 9.1 Demo version and copy to your apps folder, then run camera and Animator, that will solve the "3D icon body" missing, this happen because the new OSX doesn't allow Animator save new preferences.

3) after that install the full EIAS if you have a hardware dongle.

the dongle installer which works in the recent systems are here:

Dongle installer

This recent OSX privilegies problem is solved in the next upgrade.

Thanks

Tom

Share this post


Link to post
Share on other sites

Thanks, this was a huge help!  I upgraded my iMac in November and found I could not install EIAS.  Having been using EIAS since the early 1990's this was a big disappointment, however following the instructions above, it now seems to be running fine under Sierra 10.12.2.  Not sure how I've missed this forum all these years, but I am glad to have found it!

Thanks again!

 

Charles

Share this post


Link to post
Share on other sites

I can't seem to install the EIAS Demo on my High Sierra 10.13.6 even after disabling Gatekeeper. Any suggestions?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×